libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.120. __nv_float2half_rn

Prototype:

    i16 @__nv_float2half_rn(float %f)

Description:

Convert the single-precision float value `x` to a half-precision floating point value represented in `unsigned short` format, in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes